Subject: bug#2263: String comparison that takes locale into account

From: Glenn Morris <[email-masked]>
Date: Tue, 10 Feb 2009 02:31:06 -0500

Severity: wishlist

string-lessp sorts according to ASCII. It would be nice if there was a
similar, locale-specific, function (cf strcoll in C) that accepted a
collation order as an optional argument, perhaps defaulting to
LC_COLLATE.

This would be useful eg in authors.el:

http://lists.gnu.org/archive/html/emacs-devel/2009-02/msg00315.html